[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TIPCServerComm.ReadMessage

Read message from the channel.

## Declaration

Source position: simpleipc.pp line 105

`public procedure TIPCServerComm.ReadMessage; virtual; abstract;`

## Description

ReadMessage reads the message for the channel, and stores the information in the data structures in the Owner class.

ReadMessage is a blocking call: if no message is available, the program will wait till a message arrives. Use PeekMessage to see if a message is available.

## See also

TSimpleIPCServer |  | Simple IPC server component